body {
  margin:0;
  font-family: 'Cinzel', serif;
  background: #C7BEA2;
  color:#9A9483;
  font-weight:bolder;
  overscroll-behavior:none;
}

nav {
  background: #541212;
  position: sticky;
  top:0;
  left:0;
  right:0;
}

p {
  font-family: 'Fauna One', serif;
  text-align: center;
}

.logo {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5%;
  padding: 15px 0;
}
.logo img {
  height:auto;
  width:50px;
  cursor: pointer;
}


.rp-title {
  font-size:1.5rem;
}

.home {
  font-size:2rem;
}

a h1, a p ,a {
  text-decoration: none;
  text-align: center;
  color:#9A9483;
}

a h1:visited a p:visited a a:visited {
  color:#9A9483;
}

.all-recipes {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  flex: 1;
  gap: 10px;
  padding:10px;
}

.each-recipe {
  display: flex;
  align-items: center;
  flex-direction: column;
  flex-basis: 33%;
  max-width: 500px;
  padding: 2%;
  background:#fff;
  box-shadow: 1px 2px 3px 4px rgb(229 220 195 / 50%);
}
 /* box-shadow: 1px 2px 3px 4px rgb(20 20 20 / 40%); */


.each-recipe img {
  width:100%;
  height:auto;
}

.coupon {
  border:3px dashed red;
  padding:2%;
}

.coupon p:first-child {
  text-transform: uppercase;
}

.copyright {
  background: #AAA492;
  color: #6c757d;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: auto;
  padding: 30px;
}

.modal {
  display:flex;
  flex-direction: column; 
  position: fixed;
  background:rgba(0,0,0,0.7);
  height:100vh;
  width:100vw;
  top:0;
  left:0;
  opacity:0;
  pointer-events: none;
}


.modal.open {
  opacity: 1;
  pointer-events: all;
  overflow-y: auto;
  align-items:center;

}

.inner-description,.inner-modal-title {
  text-align:center;
}

.modal-inner {
  display: flex;
  flex-direction:column;
  max-width: 45vw;
  background: #fff;
  border-radius: 15px;
  padding: 2rem;
  justify-content: center;
  flex: 1;
  flex-wrap: wrap;
  
}

.modal-inner img {
  max-width: 80%;
  height: auto;
  margin: 0 auto;
}

span.close {
  position:absolute;
  top: 0;
  font-size: 1.2rem;
  padding: 10px 0;
  cursor:pointer;

}

.fixed {
  overflow-y:hidden;
}

@media (max-width:815px) {
  .rp-title {
    font-size:1.1rem;
  }

  .modal-inner {
    max-width: 50vw;
  }
}

@media (max-width:600px) {
  body {
    overscroll-behavior:inherit;
  }

  .modal-inner {
    max-width: 70vw;
  }
  
  .each-recipe {
    padding:10%;
    min-width:200px;
  }
}
